%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define dbus_glib_version 0.70
%define dbus_version 0.90

Summary: D-Bus Python Bindings 
Name: dbus-python
Version: 0.80.2
Release: 3%{?dist}
URL: http://www.freedesktop.org/software/dbus/
Source0: http://dbus.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0: dbus-python-0.80.2-examine-args.patch

License: AFL/GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: python-devel

%description

D-Bus python bindings for use with python programs.   

%package devel
Summary: Libraries and headers for dbus-python
Group: Development/Libraries
Requires: %name = %{version}-%{release}

%description devel

Headers and static libraries for hooking up custom mainloops to the dbus python
bindings.

%prep
%setup -q
%patch -p 1 -b .examine-args

%build
%configure

make

#CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

#PKG_CONFIG_PATH=%{_libdir}/pkgconfig %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{python_sitearch}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc COPYING ChangeLog
%docdir /usr/share/doc/dbus-python
%{_docdir}/dbus-python/API_CHANGES.txt
%{_docdir}/dbus-python/HACKING.txt
%{_docdir}/dbus-python/NEWS
%{_docdir}/dbus-python/README
%{_docdir}/dbus-python/TODO
%{_docdir}/dbus-python/tutorial.txt

%dir %{python_sitelib}/dbus
%dir %{python_sitelib}/dbus/mainloop
%{python_sitearch}/*.so
%{python_sitelib}/*.py*
%{python_sitelib}/dbus/*.py*
%{python_sitelib}/dbus/mainloop/*.py*

%files devel
%defattr(-,root,root)

%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_libdir}/pkgconfig/dbus-python.pc

%changelog
* Tue Apr 03 2007 David Zeuthen <davidz@redhat.com> - 0.80.2-3
- Rebuild

* Tue Apr 03 2007 David Zeuthen <davidz@redhat.com> - 0.80.2-2
- Don't examine args for functions declared METH_NOARGS (#235017)

* Tue Feb 13 2007 John (J5) Palmieri <johnp@redhat.com> - 0.80.2-1
- upgrade to 0.80.2 which fixes some memleaks

* Wed Jan 24 2007 John (J5) Palmieri <johnp@redhat.com> - 0.80.1-1
- upgrade to 0.80.1
- remove dependency on Pyrex and libxml2
- some API breakage, 
  please see http://dbus.freedesktop.org/doc/dbus-python/NEWS.html
  for notes on changes 

* Wed Jan  3 2007 David Zeuthen <davidz@redhat.com> - 0.70-9%{?dist}
- rebuild against new Pyrex

* Wed Dec  6 2006 Jeremy Katz <katzj@redhat.com> - 0.70-8
- rebuild against python 2.5

* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.70-7
- Fix a typo in the spec file

* Fri Aug 18 2006 Karsten Hopp <karsten@redhat.com> - 0.70-6
- require libxml2-python for site-packages/dbus/introspect_parser.py

* Thu Jul 20 2006 Jesse Keating <jkeating@redhat.com> - 0.70-5
- Remove unnecessary obsoletes

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-4
- Try python_sitearch this time

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-3
- Add a BR on dbus-devel

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-2
- Spec file cleanups
- Add PKG_CONFIG_PATH

* Mon Jul 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-1
- Initial package import
